use failure::Fail;

#[derive(Debug, Fail)]
pub enum ProfileError {
    #[fail(display = "invalid json in profile")]
    InvalidJson(#[cause] serde_json::Error),
    #[fail(display = "invalid base64 value")]
    InvalidBase64Value,
    #[fail(display = "invalid sampled profile")]
    InvalidSampledProfile,
    #[fail(display = "cannot serialize payload")]
    CannotSerializePayload,
    #[fail(display = "not enough samples")]
    NotEnoughSamples,
    #[fail(display = "platform not supported")]
    PlatformNotSupported,
    #[fail(display = "no transaction associated")]
    NoTransactionAssociated,
    #[fail(display = "invalid transaction metadata")]
    InvalidTransactionMetadata,
    #[fail(display = "missing profile metadata")]
    MissingProfileMetadata,
}
